Subject: Re: Soliciting feedback: starting a satisfaction survey for the RFC Production Center and Publisher

From: Heather Flanagan <[email-masked]>
Date: Fri, 1 Feb 2019 06:07:13 -0800

Thank you all for your feedback!

My takeaways from this are that there is some interest in seeing the survey expanded, both in terms of questions for earlier stages in the process and who receives the survey at the time the RFC is published. 

I’ve reached out to the stream managers to let them know there is some interest in a broader survey (or, if not a survey, something that allows the collection of more feedback in the pre-approval process), as it might be something they want to consider. Pre-RFC Editor stages are beyond purview as RSE, and I think adding more questions about the earlier stages in the process will lose the point of helping me and the RSOC evaluate the vendor performing the work of the RPC and Publisher (an important aspect of doing this kind of survey).

I will start sending out the surveys this month, and I will include information in the RSE report for Prague regarding how well the survey is being received and what kind of feedback I’m getting.

Thanks for the discussion!
Heather

> On Jan 16, 2019, at 7:21 AM, Heather Flanagan <[email-masked]> wrote:
> 
> Hello community,
> 
> In order to get a better sense of how well the RFC Production Center and Publisher are serving the needs of authors, I would like to start sending out a short survey to authors immediately after the publication of their RFC starting on February 1, 2019. Participation in the survey is entirely optional, but the expectation is that requesting feedback immediately after publication will be more effective than the current process of randomly selecting a percentage of authors who have published in the previous year and asking them to recollect what did and did not work for them.
> 
> The proposed questions in the survey are:
> 
> Did the editing service provided by the RFC Editor improve the quality of your document? [Yes|No]
> What one thing would make the editing process easier or more effective? [Free form text]
> May we contact you to discuss your suggestions or concerns further? [Yes|No]
> The RSE (me) will review the feedback and include aggregated results in my reports published during IETF meetings. This fits with the expectations of the RSE role as described in RFC 6635 (see Section 2.1.1. "Strategic Leadership and Management of the Publication and Production Functions")
> 
> The survey will be handled via SurveyMonkey initially, though this may change in the future if we decide to either take it in-house or use a different service.
> 
> If you have any questions, comments, or suggestions regarding this activity, please let me know!
> 
> Heather Flanagan, RSE
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest